Subject: Re: [PATCH v5 3/4] commit test: test_set_editor in each test

From: Junio C Hamano <[email-masked]>
Date: Fri, 13 Jun 2014 10:42:26 -0700

Jeff King <[email-masked]> writes:

> [1] It might make sense for test_set_editor, when run from within a
>     test, to behave more like test_config, and do:
>
>       test_when_finished '
>         sane_unset FAKE_EDITOR &&
>         sane_unset EDITOR
>       '
>
>     I don't know if there would be fallouts with other test scripts,
>     though.

The default environment for tests is to set EDITOR=: to avoid
accidentally triggering interactive cruft and interfering with
automated tests, I thought.

If the above sane-unset is changed to EDITOR=: then I think that is
probably sensible.